Bug 511130 - VMGahp Generic XML Generator
VMGahp Generic XML Generator
Status: CLOSED WONTFIX
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor (Show other bugs)
1.0
All Linux
high Severity medium
: 2.0
: ---
Assigned To: Timothy St. Clair
Luigi Toscano
: FutureFeature
Depends On:
Blocks: 527551
  Show dependency treegraph
 
Reported: 2009-07-13 16:19 EDT by Benjamin Kreuter
Modified: 2011-02-22 12:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Grid enhancement. Enhanced vm-gahp to allow a configurable script to generate libvirt XML
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-22 12:48:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Instructions on how to use the feature (17.63 KB, application/vnd.oasis.opendocument.text)
2009-08-17 16:04 EDT, Benjamin Kreuter
no flags Details
A test case that generates QCOW images for KVM jobs (393 bytes, application/xml)
2009-08-17 16:11 EDT, Benjamin Kreuter
no flags Details
A test case that sets up a VNC display for KVM jobs (378 bytes, application/xml)
2009-08-17 16:12 EDT, Benjamin Kreuter
no flags Details

  None (edit)
Description Benjamin Kreuter 2009-07-13 16:19:19 EDT
Add support for generic XML parsing for libvirt XML in the VM Gahp.
Comment 1 Benjamin Kreuter 2009-08-17 16:04:07 EDT
Created attachment 357699 [details]
Instructions on how to use the feature

This is a short overview of how the new feature can be used.
Comment 2 Benjamin Kreuter 2009-08-17 16:06:48 EDT
I have attached a short overview of how this feature can be used.  This depends on another new feature, which has also be committed upstream, that allows the vm-gahp to execute a helper script to generate the libvirt XML.  In order to use this feature, the configuration option LIBVIRT_XML_SCRIPT in condor_config should be set to the path of the compiled yacc parser, generate_xml, in the condor_examples directory.  That parser should be built as part of the condor build process.
Comment 3 Benjamin Kreuter 2009-08-17 16:11:26 EDT
Created attachment 357701 [details]
A test case that generates QCOW images for KVM jobs

This is a test case for QCOW images for KVM jobs.  The path to "mkqcow.sh" should be changed to the appropriate path on your system; this script is in the condor_examples directory.
Comment 4 Benjamin Kreuter 2009-08-17 16:12:07 EDT
Created attachment 357702 [details]
A test case that sets up a VNC display for KVM jobs
Comment 6 Irina Boverman 2009-10-28 14:04:25 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Enhanced vm-gahp to generate libvirt XML (511130)
Comment 7 Matthew Farrellee 2009-10-28 14:23:01 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-Enhanced vm-gahp to generate libvirt XML (511130)+Enhanced vm-gahp to allow a configurable scrip to generate libvirt XML (511130)
Comment 8 Lana Brindley 2009-11-08 19:31:25 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1,3 @@
-Enhanced vm-gahp to allow a configurable scrip to generate libvirt XML (511130)+Grid enhancement.
+
+Enhanced vm-gahp to allow a configurable script to generate libvirt XML
Comment 15 Timothy St. Clair 2011-02-22 12:48:57 EST
In ref to comment 3 we should try use all the existing tools for creating images plus outline minor guidelines in preparation for the grid.

Note You need to log in before you can comment on or make changes to this bug.